Bug 442394 - UI out of alignment / offscreen in KVM install
UI out of alignment / offscreen in KVM install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
: 441232 445011 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 12:57 EDT by Daniel Berrange
Modified: 2009-07-14 14:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of messed up layout (80.94 KB, image/png)
2008-04-14 12:57 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2008-04-14 12:57:22 EDT
Description of problem:
When going through firstboot in a KVM guest there are a couple of UI problems

 - The 'License information'  label on the left-hand panel overflows the
left-hand panel graphic

 - The "Date & Time" ui is partly off-screen & buttons are mis-aligned vertically

Version-Release number of selected component (if applicable):
firstboot-1.96-1.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install rawhide in KVM 
2. Boot up after install
3. Goto Date & Time  setup in firstboot
  
Actual results:
Layout is messed up as per the screenshot attached

Expected results:


Additional info:
Comment 1 Daniel Berrange 2008-04-14 12:57:22 EDT
Created attachment 302363 [details]
Screenshot of messed up layout
Comment 2 Chris Lumens 2008-04-15 05:31:10 EDT
*** Bug 441232 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2008-04-15 08:04:44 EDT
Fixed the sidebar text problem, but the right side problem may require some work
in system-config-date.
Comment 4 Nils Philippsen 2008-04-15 09:05:50 EDT
Chris, since when isn't the timezone a separate step anymore? It seems to me
that the notebook tab plus the height of the timezone tab push the dialog
boundaries too much to the bottom (before, the timezone was on a separate
firstboot page and therefore had no notebook tab). I'm a bit puzzled though, why
the dialog is so wide.
Comment 5 Bug Zapper 2008-05-14 05:25:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Brennan Ashton 2008-06-07 22:27:12 EDT
Could you please reply to the previous question? If you won't reply in one
month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Chris Lumens 2008-06-13 14:45:13 EDT
Nils - looks like the date and timezone got pulled into the same module for F-9,
which is when I totally redid firstboot.  Looks like something I just overlooked
in all that work.  I don't think there are any problems with splitting those
back apart, though simply reusing that code entirely from s-c-date is a whole
lot nicer.
Comment 8 Chris Lumens 2008-07-31 13:48:10 EDT
Okay, the timezone tab has been removed from the stock Date & Time screen. 
Unfortunately, the NTP tab is still there so that doesn't really solve the
screen width problem.  We don't have the NTP choice anywhere else (like in
anaconda) so I guess it has to stay in firstboot for now.
Comment 9 Chris Lumens 2008-07-31 13:49:29 EDT
*** Bug 445011 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2009-06-09 20:10:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 14:13:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.